# SharingSettings Struct Reference

Settings related to infrastructure sharing. More...

`#include <settings_type.h>`

## Data Fields

bool | sharing_rail
| Enable infrastructure sharing for rails, including stations and depots.
bool | sharing_road
| Enable infrastructure sharing for road stops and depots.
bool | sharing_water
| Enable infrastructure sharing for docks and ship depots.
bool | sharing_air
| Enable infrastructure sharing for airports.
uint | fee_rail
| Track toll for trains.
uint | fee_road
| Loading fee for road vehicles.
uint | fee_water
| Loading fee for aircraft.
uint | fee_air
| Loading fee for aircraft.
bool | payment_in_debt
| Whether to allow fee payment for companies with more loan than money. Switch off to prevent MP exploits.

## Detailed Description

Settings related to infrastructure sharing.

Definition at line 358 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h